#ifndef _USB_VENDOR_DESC_H
#define _USB_VENDOR_DESC_H

#define USB_VENDOR_REPORT_ID_APP        0xAB
#define USB_VENDOR_REPORT_ID_DBG        0xDB

#define USB_VENDOR_EP_IN_INDEX          3
#define USB_VENDOR_EP_OUT_INDEX         3

#define VENDOR_REPORT_DESC_SIZE         34
#define VENDOR_EP_OUT_MAX_SIZE          64
#define VENDOR_EP_IN_MAX_SIZE           64


uint8_t *usb_vendor_itf_desc_get(uint8_t *length);
uint8_t *usb_vendor_report_desc_get(uint8_t *length);

uint32_t usb_vendor_fmt_size_get(uint8_t report_id);

#endif
